CURSES_DELCH(3) | Library Functions Manual | CURSES_DELCH(3)

# NAME

`curses_delch`, `delch`, `wdelch` — curses delete characters routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

`#include <curses.h>`

int
`delch`(void);

int
`wdelch`(WINDOW *win);

# DESCRIPTION

These functions delete characters from stdscr or from the specified window.

The `delch`() function deletes the character at the current cursor position on stdscr. Characters to the right of the deleted character are moved one position to the left. The cursor position is unchanged.

The `wdelch`() function is the same as the `delch`() function, excepting that the character is deleted from the specified window.

# RETURN VALUES

Functions returning pointers will return `NULL` if an error is detected. The functions that return an int will return one of the following values:

`OK`
  The function completed successfully.
`ERR`
  An error occurred in the function.

# SEE ALSO

curses_addch(3), curses_insch(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

The Curses package appeared in 4.0BSD.

October 25, 2018 | NetBSD 11.0